
Infrastructure - Task #437

edit the dataone-os-core post-inst

2010-03-25 03:13 - Robert Waltz

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: CCI-0.4   

Milestone:  Story Points:  

Product Version: *   

Description

configure apache for ajp to include above subdir

History

#1 - 2010-05-10 02:46 - Robert Waltz

- Status changed from New to Closed

#2 - 2010-05-10 16:15 - Robert Waltz

- Status changed from Closed to 4

#3 - 2010-05-10 22:23 - Robert Waltz

- Status changed from 4 to Closed

Place JK, tomcat and apache configuration in dataone-cn-os-core

changed control file: add depends for apache, tomcat and mod-jk

changed postinst

    copied knb & knb-ssl apache configuration to cn & cn-ssl

    create the /etc/apache2/jk_mount dir if not existing

    copied from metacat configuration of jk (copy jk.conf, worker.properties to correct dir)

    copied from metacat configuration of tomcat (server.xml)

    perform chown on several directories that tomcat needs to access

added directory /usr/share/dataone-cn-os-core/debian

    with files cn, cn-ssl, jk.conf, server.xml, workers.properties

 

In dataone-cn-metacat

changed control file: modified depends & architecture

changed postinst

took out knb & knb-ssl apache configuration

took out metacat configuration of jk (jk.conf, worker.properties)

took out metacat configuration of tomcat (server.xml)

added in configuration of jk mount

modified /usr/share/metacat/debian directory

added knb_jk.conf

removed jk.conf, knb, knb-ssl, server.xml, worker.properties

In dataone-cn-mercury

changed control file: modified depends & architecture

changed postinst

    added in multiple jk mount configs

    took out mercury_3, mercury-ssl, SOLR and solr-ssl apache configuration

    took out metacat configuration of jk (jk.conf, worker.properties)

    took out metacat configuration of tomcat (server.xml)
modified /usr/share/mercury/debian directory

    added mercury_jk.conf and solr_jk.conf

    removed mercury-ssl, mercury_3, server.xml, SOLR and solr-ssl

#4 - 2010-10-27 16:12 - Dave Vieglais

- Category changed from d1_cn_buildout to d1_cn_service
